## org.jfree.ui
Class DateChooserPanel

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      org.jfree.ui.DateChooserPanel

All Implemented Interfaces:
  java.awt.event.ActionListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible

    public class DateChooserPanel

extends javax.swing.JPanel
implements java.awt.event.ActionListener

A panel that allows the user to select a date.

Author:
  David Gilbert
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`DateChooserPanel()` Constructs a new date chooser panel, using today's date as the initial selection.
`DateChooserPanel(java.util.Calendar calendar, boolean controlPanel)` Constructs a new date chooser panel.

Method Summary
`void` `actionPerformed(java.awt.event.ActionEvent e)` Handles action-events from the date panel.
`java.awt.Color` `getChosenDateButtonColor()` Returns the color for the currently selected date.
`java.awt.Color` `getChosenMonthButtonColor()` Returns the color for the buttons representing the current month.
`java.awt.Color` `getChosenOtherButtonColor()` Returns the color for the buttons representing the other months.
`java.util.Date` `getDate()` Returns the date selected in the panel.
`int` `getYearSelectionRange()` Returns the range of years available for selection (defaults to 20).
`void` `setChosenDateButtonColor(java.awt.Color chosenDateButtonColor)` Redefines the color for the currently selected date.
`void` `setChosenMonthButtonColor(java.awt.Color chosenMonthButtonColor)` Defines the color for the buttons representing the current month.
`void` `setChosenOtherButtonColor(java.awt.Color chosenOtherButtonColor)` Redefines the color for the buttons representing the other months.
`void` `setDate(java.util.Date theDate)` Sets the date chosen in the panel.
`void` `setYearSelectionRange(int yearSelectionRange)` Sets the range of years available for selection.

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent

`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DateChooserPanel

    public DateChooserPanel()

  Constructs a new date chooser panel, using today's date as the initial selection.

### DateChooserPanel

    public DateChooserPanel(java.util.Calendar calendar,
                            boolean controlPanel)

  Constructs a new date chooser panel.

  Parameters:
    `calendar` - the calendar controlling the date.
    `controlPanel` - a flag that indicates whether or not the 'today' button should appear on the panel.

Method Detail

### setDate

    public void setDate(java.util.Date theDate)

  Sets the date chosen in the panel.

  Parameters:
    `theDate` - the new date.

### getDate

    public java.util.Date getDate()

  Returns the date selected in the panel.

  Returns:
    the selected date.

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Handles action-events from the date panel.

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  Parameters:
    `e` - information about the event that occurred.

### getChosenDateButtonColor

    public java.awt.Color getChosenDateButtonColor()

  Returns the color for the currently selected date.

  Returns:
    a color.

### setChosenDateButtonColor

    public void setChosenDateButtonColor(java.awt.Color chosenDateButtonColor)

  Redefines the color for the currently selected date.

  Parameters:
    `chosenDateButtonColor` - the new color

### getChosenMonthButtonColor

    public java.awt.Color getChosenMonthButtonColor()

  Returns the color for the buttons representing the current month.

  Returns:
    the color for the current month.

### setChosenMonthButtonColor

    public void setChosenMonthButtonColor(java.awt.Color chosenMonthButtonColor)

  Defines the color for the buttons representing the current month.

  Parameters:
    `chosenMonthButtonColor` - the color for the current month.

### getChosenOtherButtonColor

    public java.awt.Color getChosenOtherButtonColor()

  Returns the color for the buttons representing the other months.

  Returns:
    a color.

### setChosenOtherButtonColor

    public void setChosenOtherButtonColor(java.awt.Color chosenOtherButtonColor)

  Redefines the color for the buttons representing the other months.

  Parameters:
    `chosenOtherButtonColor` - a color.

### getYearSelectionRange

    public int getYearSelectionRange()

  Returns the range of years available for selection (defaults to 20).

  Returns:
    The range.

### setYearSelectionRange

    public void setYearSelectionRange(int yearSelectionRange)

  Sets the range of years available for selection.

  Parameters:
    `yearSelectionRange` - the range.